<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

/**
 * 工序属性
 * Class Unit
 * @package App\Models
 */
class Process extends Model
{
    protected $table = "process"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';


    public function scopeWhereUnDel($query,$name='')
    {
        if(empty($name)) return $query->where('del_time', '=', 0);
        else return $query->where($name, '=', 0);
    }
}

