<?php

namespace App\Service\Order;


use App\Model\Orders;
use App\Model\OrdersHouse;
use App\Model\OrdersProduct;
use App\Model\OrdersProductPart;
use App\Service\Service;
use Illuminate\Support\Facades\DB;

/**
 * order表相关保存订单基本信息
 * @package App\Models
 */
class OrderBoxService extends Service
{


    public function box_detail($order_no){

        $data = [
            [
                'bom_title' => '部件名称',
                'product_title' => '产品名称',
                'order_in_no' => '',
                'state' => 0,
            ]
        ];

        $return = [
            'total' => 1,
            'data' => $data
        ];
        return [true,$return];
    }

    public function box_in($data){
        $order_in_no = $this->setOrderNo();

        return [true,$order_in_no];
    }

    public function box_out($data){
        $order_in_no = $this->setOrderNo();

        return [true,$order_in_no];
    }

    function setOrderNo(){
        $order_no = date('Ymd').time();

        return $order_no;
    }


}
