<?php

namespace App\Http\Controllers\Api;


use App\Service\Order\OrderBoxService;
use App\Service\Order\OrderTagService;
use App\Service\OrderService;
use Illuminate\Http\Request;


class OrderBoxController extends BaseController
{





    public function boxDetail(Request $request)
    {


        $service = new OrderBoxService();
        $user = $request->get('auth');
        list($status,$data) = $service->box_detail($request->all()['order_no']);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function boxIn(Request $request)
    {


        $service = new OrderBoxService();
        $user = $request->get('auth');
        list($status,$data) = $service->box_in($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function boxOut(Request $request)
    {


        $service = new OrderBoxService();
        $user = $request->get('auth');
        list($status,$data) = $service->box_out($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }




}
